clustalx (2.1+lgpl-9) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * watch file standard 4 (routine-update)
  * No quotet entry in mailcap

 -- Andreas Tille <tille@debian.org>  Fri, 04 Dec 2020 22:57:37 +0100

clustalx (2.1+lgpl-8) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_configure pass cross flags to qmake.
    Closes: #923120

  [ Andreas Tille ]
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Sun, 24 Feb 2019 20:04:40 +0100

clustalx (2.1+lgpl-7) unstable; urgency=medium

  * Drop redundant debian/README.source
  * Drop unneeded debian/gbp.conf
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 25 Sep 2018 13:02:11 +0200

clustalx (2.1+lgpl-6) unstable; urgency=medium

  [ Andreas Tille ]
  * cme fix dpkg-copyright
  * port to Qt5
    Closes: #874851
  * debian/clustalx.desktop: Add %f to Exec field
  * Standards-Version: 4.1.0 (no changes needed)

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - added references to registries
    - yamllint cleanliness

 -- Andreas Tille <tille@debian.org>  Mon, 11 Sep 2017 14:03:26 +0200

clustalx (2.1+lgpl-5) unstable; urgency=medium

  * cme fix dpkg-control
  * debian/rules: fix sed expression
    Closes: #832013
  * fix more spelling errors
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jul 2016 14:56:24 +0200

clustalx (2.1+lgpl-4) unstable; urgency=medium

  [ Charles Plessy ]
  [423f16f] Drop menu file as per decision of the Technical Committee.

  [ Andreas Tille ]
  * cme fix dpkg-control
  * successful build with gcc-5
    Closes: #793226
  * Fix spelling
  * Hardening

 -- Andreas Tille <tille@debian.org>  Fri, 04 Dec 2015 11:10:35 +0100

clustalx (2.1+lgpl-3) unstable; urgency=medium

  * d/control:
     - cme fix dpkg-control
     - debhelper 9

 -- Andreas Tille <tille@debian.org>  Sat, 16 Aug 2014 00:11:01 +0200

clustalx (2.1+lgpl-2) unstable; urgency=low

  [8b9662e] Update providing upgrade path to backports (Closes: #648812).
  [727f540] Corrected and normalised copyright file with config-edit.
  [fa455a0] Conforms to Policy version 3.9.2 (no changes needed).
  [9cd039b] Updated Homepage.
  [a36daf1] Rely on dpkg-dev for patching and removed build-dependancy on quilt.
  [51bde59] Support build-arch and build-indep targets through dh.
  [c3b9f16] Signal and configure the use of git-buildpackage.

 -- Charles Plessy <plessy@debian.org>  Wed, 16 Nov 2011 14:37:03 +0900

clustalx (2.1+lgpl-1) unstable; urgency=low

  * New upstream archive, that makes clear the relicensing to LGPL-3+.
    - Mangled debian version name in debian/watch.
    - Explained why ‘+lgpl’ in debian/README.Debian.
    - Removed XS-Autobuild field from debian/control.
    - Changed archive area in debian/control.
    - Updated license in debian/copyright.
    - Removed Commercial field in debian/upstream-metadata.yaml.
  * Removed un-needed documentation (debian/clustalx.docs).
  * Source package hosted in a Git repository (debian/control).
  * Use debhelper 8 (debian/control, debian/compat).

 -- Charles Plessy <plessy@debian.org>  Sun, 27 Feb 2011 22:36:51 +0900

clustalx (2.1-1) unstable; urgency=low

  * New upstream version
  * debian/rules: added get-upstream-changelog target and used
    it to obtain upstream changelog in debian/CHANGELOG.upstream

 -- Andreas Tille <tille@debian.org>  Wed, 24 Nov 2010 14:24:10 +0100

clustalx (2.0.12-3) unstable; urgency=low

  * debian/clustalx.desktop: Fixed typo
    Closes: #591613
  * debian/control:
    - Added myself to uploaders
    - Standards-Version: 3.9.1 (no changes needed)
  * debian/source/format: 3.0 (quilt)

 -- Andreas Tille <tille@debian.org>  Wed, 04 Aug 2010 11:08:57 +0200

clustalx (2.0.12-2) unstable; urgency=low

  * Remove the moc_* files before building, to allow the use of later
    versions of Qt (debian/rules).
  * Incremented Standards-Version to reflect conformance with Policy 3.8.4
    (debian/control, no other changes needed).

 -- Charles Plessy <plessy@debian.org>  Fri, 29 Jan 2010 13:16:58 +0900

clustalx (2.0.12-1) unstable; urgency=low

  * New upstream release (LP: #423648, #393769):
    - Uses Qt instead of lesstif.
    - Includes new code for UPGMA guide trees.
    - Includes iterative alignment facility.

  [ Steffen Moeller ]
  * New upstream release.
  * Updated watch file (Closes: #550893).
  * Removed LICENSE from debian/clustalx.docs
  * rename to clustalx seems no longer required in debian/rules
  * moved clustalx.1 into debian folder (eases working with svn-buildpackage)
  * added German translation to desktop file

  [ Charles Plessy ]
  * Updated my email address.
  * debian/copyright made machine-readable.
  * Added various informations in debian/upstream-metadata.yaml.
  * Switched to Debhelper 7.
    (debian/rules, debian/control, debian/patches, debian/compat)
  * Removed useless Debhelper file debian/clustalx.dirs.
  * Updated package description.
  * Hardcoded the localisation of accessory files in /usr/share/clustalx.
    (debian/patches/hardcode-accessory-file-locations.patch)
  * Documented in debian/README.source that the documentation for quilt
    is in /usr/share/doc/quilt.
  * Added upstream changelog downloaded from upstream website
    (debian/rules, debian/CHANGELOG.upstream).
  * Incremented Standards-Version to reflect conformance with Policy 3.8.3
    (debian/control, no other changes needed).
  * Updated homepage in debian/clustalw.1.

 -- Charles Plessy <plessy@debian.org>  Wed, 21 Oct 2009 13:25:44 +0900

clustalx (1.83-4) unstable; urgency=low

  [ Charles Plessy ]
  * Transient package while Clustal X version > 2.0 is being relicenced.
    This package is the same as clustalw-1.83-3 except that it only builds
    the clustalx binary package (plus some minor improvements described in
    this changelog. In parallel, the Debian clustalw source package will
    stop building the clustalx binary package.
  * Association between Clustal X and .aln files:
    - text/x-clustalw-alignment associated to clustalx in clustalx.desktop.
    - .aln declared as text/x-clustalw-alignment in clustalx.sharedmimeinfo.
    - text/x-clustalw-alignment associated to clustalx in clustalx.mime.
    - debian/rules calls dh_installmime.
  * debian/control:
    - Allowed upload by Debian Maintainers.
    - Added Homepage: field.
    - Removed clustalw.
    - Checked conformance with Policy 3.7.3.

  [ Steffen Moeller ]
  * Updated watch file.
  * added German translation to desktop file

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Thu, 21 Feb 2008 13:40:20 +0900

clustalw (1.83-3) unstable; urgency=low

  [ Nelson A. de Oliveira ]
  * Added watch file, debian/rules get-orig-source
    should be used to download the orig.tar.gz, not uscan.

  [ Charles Plessy ]
  * Build-depend on libncbi6-dev instead of ncbi-tools6-dev.

  [ Steffen Moeller ]
  * Added dependency to later version lesstif2 (Closes:#429480).
  * The recompilation against libvibrant6 was probably
    already fixed in an earlier version, certainly it is now
    (Closes:#378483).

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Wed, 12 Sep 2007 16:50:37 +0900

clustalw (1.83-2) unstable; urgency=low

  [ Steffen Moeller ]
  * Help now works in ClustalX (Closes:#215414).
  * debian/control:
    - removed [biology] tag and improved debtags
    - better formatting/wording
    - suggesting alignment pretty-printers

  [ Charles Plessy ]
  * Add Subversion repository URL to debian/control.
  * FreeDesktop menu added (Closes: #380715)
  * Acknowledge NMU, thanks to Kai and Fabio. (Closes: #374241, #359712)
  * Collaborative maintainance: the maintainer is a mailing list, Steffen
    Moëller and Charles Plessy are uploaders.
  * Upgraded to debhelper 5.
  * Modified the copyright file to mention that it is not disallowed to use
    autobuilders to create binary packages.
  * Debian Menu transition: Apps/Science becomes Applications/Science/Biology.
  * Fixed a typo in clustalw.menu (Closes: #428518)
  * Updated Steffen's email adress.
  * Using quilt to manage the changes to the sources.

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Sun, 12 Aug 2007 23:06:39 +0900

clustalw (1.83-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * No changes, let's try to trigger again the builders.

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 10 Nov 2006 09:16:45 +0100

clustalw (1.83-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * lesstif1 is deprecated, transition to lesstif2 (Closes: #374241)
  * Dead link in the package description (Closes: #359712)
  * Updated standards version, binary-indep rule required

 -- Kai Hendry <hendry@iki.fi>  Mon, 10 Jul 2006 11:04:05 +0900

clustalw (1.83-1) unstable; urgency=low

  * New upstream version
  * New maintainer
  * Reapplied patches from 1.82-3
  * Removed calls to insecure gets
  * Cosmetics to makefile
  * Extension of description
  * Standards-Version: 3.5.10
  * Increased version of debhelper: Build-Depends: debhelper (>= 4)
  * Used debian/compat for debhelper version
  * Replaces *.files by *.install, *.docs, *.manpages and used the
    apropriate tools in debian/rules
  * Moved clustalx to /usr/bin because it does not *belong* to the
    X11 system
  * Moved the manpage clustalx.1x to clustalx.1 accordingly.
  * Removed debian/dirs
  * Added menu entries

 -- Steffen Moeller <moeller@pzr.uni-rostock.de>  Mon, 23 Jun 2003 19:26:29 +0100

clustalw (1.82-3) unstable; urgency=low

  * "My-wifes-Katrin-Birthday"-release (even if I doubt that she is very
    interested in Debian packaging details)
  * Fix a buffer override
    closes: #135255

 -- Andreas Tille <tille@debian.org>  Wed, 27 Feb 2002 07:26:29 +0100

clustalw (1.82-2) unstable; urgency=low

  * also compile GUI clustalx which is included in the sources now

 -- Andreas Tille <tille@debian.org>  Sat,  3 Nov 2001 14:41:50 +0100

clustalw (1.82-1) unstable; urgency=low

  * New maintainer
    closes: #100213
  * New upstream version
    closes: #40904
  * Standards-Version: 3.5.6
  * Moved help file to /usr/share/clustalw/clustalw_help because it
    is architecture independend
  * Added URL to the package description because I consider this as
    "good style" to have an upstream link without installing the package
  * Fixed a typo in the examples Makefile which was shiped with the
    Debian package:
     clustalw -profile -profile1=nuc.aln -profile2=nuc2.aln -outfile=profile.aln
                                                      ^ this 2 was missing

 -- Andreas Tille <tille@debian.org>  Mon, 29 Oct 2001 21:40:20 +0100

clustalw (1.7-9) unstable; urgency=low

  * Maintainer set to Debian QA Group <packages@qa.debian.org>.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 24 Aug 2001 21:09:56 +0200

clustalw (1.7-8) unstable; urgency=low

  * Adopted by new maintainer; closes: #92790
  * Updated to latest standards version and added Build-Depends (changed
    makefile, control, dirs, docs, and rules); closes: #91132, #91411
  * Deleted empty README.Debian file.
  * Corrected doc path in manpage.
  * Moved package to section non-free/science, because it is a tool that
    is exclusively useful for molecular biologists.

 -- Dr. Guenter Bechly <gbechly@debian.org>  Fri, 20 Apr 2001 19:08:00 +0200

clustalw (1.7-7) unstable; urgency=low

  * Better extended description. Closes #31475.
  * Manual page. Closes #31382.

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Wed, 31 Mar 1999 10:50:02 +0200

clustalw (1.7-6) unstable; urgency=low

  * Yet another attempt to get past rejection :-) Licence is now included
    in the copyright file.

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Sat, 19 Dec 1998 15:29:40 +0100

clustalw (1.7-5) unstable; urgency=low

  * A LICENCE is now included, non-free unfortunately.

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Thu, 17 Dec 1998 14:48:43 +0100

clustalw (1.7-4) unstable; urgency=low

  * Compiles with -mieee on the Alpha: otherwise, floating exception since
    ClustalW divides by zero (yuck!)

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Wed,  2 Dec 1998 16:16:02 +0100

clustalw (1.7-3) unstable; urgency=low

  * Tests and samples added
  * On line help file added

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Tue,  1 Dec 1998 15:57:50 +0100

clustalw (1.7-2) unstable; urgency=low

  * Switch to dh_make
  * First public release

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Tue,  1 Dec 1998 15:25:13 +0100

clustalw (1.7-1) unstable; urgency=low

  * Initial Release.

 -- Stephane Bortzmeyer <bortzmeyer@pasteur.fr>  Fri, 28 Aug 1998 16:09:48 +0200
